# $Revision: 1.34 $, $Date: 2010/11/20 06:14:10 $
Summary:	Simple command-line interface to systems that support the IPMI
Summary(pl.UTF-8):	Prosty interfejs do systemów obsługujących IPMI działający z linii poleceń
Name:		ipmitool
Version:	1.8.11
Release:	6
License:	BSD
Group:		Applications/System
Source0:	http://dl.sourceforge.net/ipmitool/%{name}-%{version}.tar.gz
# Source0-md5:	0f9b4758c2b7e8a7bafc2ead113b4bc6
Source1:	%{name}-ipmievd.init
Source2:	%{name}-ipmievd.sysconfig
URL:		http://ipmitool.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Obsoletes:	ipmitool-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPMItool is a simple command-line interface to systems that support
the Intelligent Platform Management Interface (IPMI) v1.5 and v2.0
specification. It provides the ability to read the SDR and print
sensor values, display the contents of the SEL, print FRU information,
read and set LAN configuration parameters, and perform chassis power
control. Originally written to take advantage of IPMI-over-LAN
interfaces, it is also capable of using a system interface as provided
by a kernel device driver such as OpenIPMI.

%description -l pl.UTF-8
IPMItool to prosty, działający z linii poleceń interfejs do systemów
obsługujących specyfikację Intelligent Platform Management Interface
(IPMI) v1.5 i v2.0. Daje możliwość odczytu SDR i wypisania wartości
czujników, wyświetlenia zawartości SEL, wypisania informacji FRU,
odczytu i ustawiania parametrów konfiguracji LAN i sterowania
zasilaniem. Narzędzie napisano pierwotnie w celu wykorzystania
interfejsów IPMI-over-LAN, ale możliwe jest także używanie interfejsu
systemowego dostarczonego przez sterownik urządzenia w jądrze, taki
jak OpenIPMI.

%package ipmievd
Summary:	IPMI event daemon for sending events to syslog
Summary(pl.UTF-8):	Demon IPMI przesyłający zdarzenia do sysloga
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description ipmievd
ipmievd is a daemon which will listen for events from the BMC that are
being sent to the SEL and also log those messages to syslog.

%description ipmievd -l pl.UTF-8
ipmievd to demon, który nasłuchuje na zdarzenia z BMC, które są
wysyłane do SEL i loguje wiadomości do sysloga.

%prep
%setup -q

%build
%{__libtoolize} --ltdl
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared \
	--disable-static \
	--enable-intf-bmc \
	--enable-intf-free \
	--enable-intf-imb \
	--enable-intf-lan \
	--enable-intf-lanplus \
	--enable-intf-lipmi \
	--enable-intf-open \
	--enable-ipmishell
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/ipmievd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ipmievd

%clean
rm -rf $RPM_BUILD_ROOT

%post ipmievd
/sbin/chkconfig --add ipmievd
%service ipmievd restart

%preun ipmievd
if [ "$1" = "0" ]; then
        %service ipmievd stop
        /sbin/chkconfig --del ipmievd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_datadir}/ipmitool
%{_mandir}/man1/*

%files ipmievd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/ipmievd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ipmievd
%{_mandir}/man8/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipmitool.spec,v $
Revision 1.34  2010/11/20 06:14:10  arekm
- rel 6; revert; git contains brokeness (sol console very slow)

Revision 1.33  2010/11/19 22:35:22  arekm
- rel 5; undos some files, so patch applies

Revision 1.32  2010/11/19 22:29:56  arekm
- rel 4; add git fixes

Revision 1.31  2010/11/13 12:07:54  pawelz
- release 3

Revision 1.30  2010/04/10 20:47:50  arekm
- release 2

Revision 1.29  2009/10/30 20:34:13  marcus
- free, bmc, lipmi enabled

Revision 1.28  2009/02/26 06:18:02  arekm
- up to 1.8.11

Revision 1.27  2009/02/23 22:06:11  arekm
- release 2

Revision 1.26  2008/08/19 05:30:07  arekm
- up to 1.8.10

Revision 1.25  2008-01-19 17:49:58  arekm
- rel 2

Revision 1.24  2007-03-26 21:42:46  darekr
- one more again

Revision 1.23  2007/03/26 21:40:17  darekr
- tfu. 1.268 macros for ipmievd subpackage

Revision 1.22  2007/03/26 21:14:04  darekr
- R: /sbin/chkconfig

Revision 1.21  2007/03/26 21:11:15  darekr
- BR,R for %service

Revision 1.20  2007/03/07 09:05:33  beorn
- Fixed polish SPEC translation in Summary

Revision 1.19  2007/03/07 07:32:44  arekm
- up to 1.8.9

Revision 1.18  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.16  2007/01/30 07:49:24  arekm
- 2.0, too

Revision 1.15  2007/01/24 21:52:37  arekm
- up to 1.8.8.90 snapshot

Revision 1.14  2006/08/31 13:44:12  arekm
- rel 5; proper fix

Revision 1.13  2006/08/31 13:31:57  arekm
- don't close used fd

Revision 1.12  2006/08/09 07:01:04  arekm
- rel 3

Revision 1.11  2006/07/30 19:06:13  blues
- release 2

Revision 1.10  2006/06/28 15:34:06  arekm
- ipmievd subpackage; init scripts

Revision 1.9  2005/09/17 19:13:08  arekm
- rel 1

Revision 1.8  2005/04/10 14:36:09  glen
- 1.8.1

Revision 1.7  2004/11/26 11:42:54  glen
- fix package of files in share

Revision 1.6  2004/11/24 19:56:24  glen
- remove duplicate doc install by make install
- add README, ChangeLog to %doc,
- package %{_datadir} (contrib/ files)

Revision 1.5  2004/09/14 07:54:24  qboosh
- Obsoletes for dropped -devel

Revision 1.4  2004/09/12 21:58:33  arekm
- updated to 1.6.0

Revision 1.3  2004/07/18 21:44:33  qboosh
- fixed License (BSD, copyright Sun)
- fixed build on amd64, added docs, package header files, release 2

Revision 1.2  2004/07/17 22:53:12  qboosh
- pl

Revision 1.1  2004/07/17 13:44:57  arekm
- initial pld release
